//----------  display functions for Rock steady, A.Pickel------------
//----------------last update  13.02.03-------------------

#include "RSprint.h"

void LCDCircle(int x, int y, int rad)
{
	for ( int i=0; i < 720; i++)
	{	
		int y = (int) ( rad*MySin(i)  * 0.7368);
		int x = (int) ( rad*MyCos(i)          );
		LCDSetPixel(y + 30 ,x + 61,1);
	}
}

void LCDDeg(int x, int y, int val)
{
	LCDSetPixel ( x + 1, y + 1, val );
	LCDSetPixel ( x + 1, y    , val );
	LCDSetPixel ( x + 1, y - 1, val );
	LCDSetPixel ( x    , y + 1, val );
	LCDSetPixel ( x    , y - 1, val );
	LCDSetPixel ( x - 1, y + 1, val );
	LCDSetPixel ( x - 1, y    , val );
	LCDSetPixel ( x - 1, y - 1, val );
}
	

void LCDCross(int x, int y, int val)
{
		
		LCDSetPixel (x   , y   , val );
		LCDSetPixel (x-1 , y   , val);
		LCDSetPixel (x+1 , y   , val );
		LCDSetPixel (x   , y-1 , val );
		LCDSetPixel (x   , y+1 , val );
}
//--- Print labels on display
void  LCDLabel()
{
	LCDSetPos(3,2);									
	LCDPrintf("R");
	LCDSetPos(3,12);
	LCDPrintf("L");
	LCDSetPos(0,7);
	LCDPrintf("B");
	LCDSetPos(7,7);
	LCDPrintf("F");
}
